<?php

class DcMegaMenuLinks
{
  public static function gets($id_lang, $id_linksdcmegamenu = null, $id_shop)
  {
    $id_shop = (int)((bool)
	Configuration::get('PS_MULTISHOP_FEATURE_ACTIVE')) ? $id_shop : 0;
    return Db::getInstance()->executeS('
    SELECT l.id_linksdcmegamenu, l.new_window, ll.link, ll.label 
    FROM '._DB_PREFIX_.'linksdcmegamenu l 
    LEFT JOIN '._DB_PREFIX_.'linksdcmegamenu_lang ll ON (l.id_linksdcmegamenu = ll.id_linksdcmegamenu AND ll.id_lang = '.(int)$id_lang.' AND ll.id_shop='.(int)$id_shop.')
    WHERE 1
    '.((!is_null($id_linksdcmegamenu)) ? ' AND l.id_linksdcmegamenu = "'.(int)$id_linksdcmegamenu.'"' : '').'
    AND l.id_shop IN (0, '.(int)$id_shop.')
    ');
  }

  public static function get($id_linksdcmegamenu, $id_lang, $id_shop)
  {
    return self::gets($id_lang, $id_linksdcmegamenu, $id_shop);
  }

	public static function getLinkLang($id_linksdcmegamenu, $id_shop)
	{
    $ret = Db::getInstance()->executeS('
    SELECT l.id_linksdcmegamenu, l.new_window, ll.link, ll.label, ll.id_lang
    FROM '._DB_PREFIX_.'linksdcmegamenu l
    LEFT JOIN '._DB_PREFIX_.'linksdcmegamenu_lang ll ON (l.id_linksdcmegamenu = ll.id_linksdcmegamenu AND ll.id_shop='.(int)$id_shop.')
    WHERE 1
    '.((!is_null($id_linksdcmegamenu)) ? ' AND l.id_linksdcmegamenu = "'.(int)$id_linksdcmegamenu.'"' : '').'
    AND l.id_shop IN (0, '.(int)$id_shop.')
    ');

		$link = array();
		$label = array();
		$new_window = false;
		foreach ($ret as $line)
		{
			$link[$line['id_lang']] = Tools::safeOutput($line['link']);
			$label[$line['id_lang']] = Tools::safeOutput($line['label']);
			$new_window = (bool)$line['new_window'];
		}

		return array('link' => $link, 'label' => $label, 'new_window' => $new_window);
	}

  public static function add($link, $label, $newWindow = 0, $id_shop)
  {
    if(!is_array($label))
      return false;
    if(!is_array($link))
      return false;

    Db::getInstance()->insert(
      'linksdcmegamenu',
      array(
        'new_window'=>(int)$newWindow,
        'id_shop' => (int)$id_shop
      )
    );
    $id_linksdcmegamenu = Db::getInstance()->Insert_ID();
    foreach ($label as $id_lang=>$label)
      Db::getInstance()->insert(
        'linksdcmegamenu_lang',
        array(
          'id_linksdcmegamenu'=>(int)$id_linksdcmegamenu,
          'id_lang'=>(int)$id_lang,
          'id_shop'=>(int)$id_shop,
          'label'=>pSQL($label),
					'link'=>pSQL($link[$id_lang])
        )
      );
  }

  public static function update($link, $labels, $newWindow = 0, $id_shop, $id_link)
  {
    if(!is_array($labels))
      return false;
    if(!is_array($link))
      return false;

    Db::getInstance()->update(
      'linksdcmegamenu',
      array(
        'new_window'=>(int)$newWindow,
        'id_shop' => (int)$id_shop
      ),
			'id_linksdcmegamenu = '.(int)$id_link
    );

    foreach ($labels as $id_lang => $label)
      Db::getInstance()->update(
        'linksdcmegamenu_lang',
        array(
          'id_shop'=>(int)$id_shop,
          'label'=>pSQL($label),
					'link'=>pSQL($link[$id_lang])
        ),
				'id_linksdcmegamenu = '.(int)$id_link.' AND id_lang = '.(int)$id_lang
      );
  }


  public static function remove($id_linksdcmegamenu, $id_shop)
  {
    Db::getInstance()->delete('linksdcmegamenu', 'id_linksdcmegamenu = '.(int)$id_linksdcmegamenu.' AND id_shop = '.(int)$id_shop);
    Db::getInstance()->delete('linksdcmegamenu_lang', 'id_linksdcmegamenu = '.(int)$id_linksdcmegamenu);
  }
}
?>
