{if $page_name == "index"}
<div class="clear"></div>
<!-- jCarousel library -->
<script>
$(function() {
    $(".main .jCarouselLite").jCarouselLite_f({
        btnNext: ".main .nav_next",
        btnPrev: ".main .nav_prev",
        speed: 300,
        visible: {$visible_products},
        scroll: {$products_to_scroll},
        auto: 0,
    });       
    
});

</script>
<style type="text/css">
  #itemslider ul li { width:{$cell_width}px; }
  .preloadImg {
    background:url({$content_dir}modules/itemslider/images/buttons_active.png) 0 0;
    position:absolute;
    left:-9999px;
  }
  .preloadImg div{ background:url({$content_dir}modules/itemslider/images/buttons_pressed.png) 0 0; }

</style>
<div class="preloadImg"><div></div></div>
<div id="itemslider" class="main">
<div class="container_border">
  {if $products_type == 0}
    <h4>{l s='New items' mod='itemslider'}</h4>
  {else}
    <h4>{l s='Featured' mod='itemslider'}</h4>
  {/if}
<button class="nav_prev"></button>
<button class="nav_next"></button>
<div class="viewport">
  <div class="jCarouselLite">
    {if $products_type == 0}
      {if $new_products}
          <ul id="mycarousel">
          {foreach from=$new_products item=product name=products}
            {assign var='productLink' value=$link->getProductLink($product.id_product, $product.link_rewrite)}
            <li class="block_product">
              <a href="{$productLink}" title="{$product.legend}" class="slide-animate">
                <img src="{$link->getImageLink($product.link_rewrite,$product.id_image, 'large')}" alt="{$product.name|escape:html:'UTF-8'}" /><br />              
              </a>
              <a class="f_title" href="{$productLink}" title="{$product.legend}">{$product.name|escape:htmlall:'UTF-8'|truncate:35}</a>
              <div class="price">
                <span>{convertPrice price=$product.price_tax_exc}</span>
                {if ($product.quantity > 0 OR $product.allow_oosp)}
                  <a class="exclusive ajax_add_to_cart_button" rel="ajax_id_product_{$product.id_product}" href="{$link->getPageLink('cart.php')}?qty=1&amp;id_product={$product.id_product}&amp;token={$static_token}&amp;add" title="{l s='Add to cart' mod='itemslider'}">{l s='Add to cart' mod='itemslider'}</a>
                {else}
                  <span class="exclusive">{l s='Add to cart' mod='itemslider'}</span>
                {/if}
              </div>
            </li>
          {/foreach}
        </ul>
      {else}<b>{l s='No products' mod='itemslider'}</b>{/if}
    {else}
      {if $featuredProducts}
          <ul id="mycarousel">
          {foreach from=$featuredProducts item=product name=products}
            {assign var='productLink' value=$link->getProductLink($product.id_product, $product.link_rewrite)}
            <li class="block_product">
              <a href="{$productLink}" title="{$product.legend}" class="slide-animate">
                <img src="{$link->getImageLink($product.link_rewrite,$product.id_image, 'large')}" alt="{$product.name|escape:html:'UTF-8'}" /><br />              
              </a>
              <a class="f_title" href="{$productLink}" title="{$product.legend}">{$product.name|escape:htmlall:'UTF-8'|truncate:35}</a>
              <div class="price">
                <span>{convertPrice price=$product.price_tax_exc}</span>
                {if ($product.quantity > 0 OR $product.allow_oosp)}
                  <a class="exclusive ajax_add_to_cart_button" rel="ajax_id_product_{$product.id_product}" href="{$link->getPageLink('cart.php')}?qty=1&amp;id_product={$product.id_product}&amp;token={$static_token}&amp;add" title="{l s='Add to cart' mod='itemslider'}">{l s='Add to cart' mod='itemslider'}</a>
                {else}
                  <span class="exclusive">{l s='Add to cart' mod='itemslider'}</span>
                {/if}
              </div>
            </li>
          {/foreach}
        </ul>
      {else}<b>{l s='No products' mod='itemslider'}</b>{/if}
    {/if}
  </div>
</div>
</div>
</div>
{/if}